
  <ion-toolbar>
    <ion-button  (click)="sign()"class="signbutton"  size="small">SIGN IN</ion-button>
    <ion-button   (click)="signup()"class="signupbutton"size="small">SIGN UP</ion-button>
  </ion-toolbar>

    <ion-content padding>
        <form novalidate (ngSubmit)="testSubmit()" [formGroup]="login">
      <input type="email" value="" formControlName="email" placeholder="Email">
      <!-- <ion-item no-lines *ngIf="( login.get('email').hasError('required') || login.get('email').hasError('email') ) && login.get('email').touched"> -->

          <div class="error" *ngIf="login.get('email').hasError('required') && login.get('email').touched">
            email is required
          </div>
    
          <div class="error" *ngIf="login.get('email').hasError('email') && login.get('email').touched">
            Please enter valid email
          </div>
        
      <input type="password" value="" formControlName="password" placeholder="Password">
       <!-- no-lines *ngIf="( login.get('password').hasError('required') || login.get('password').hasError('password') ) && login.get('password').touched"> -->

          <div class="error" *ngIf="login.get('password').hasError('required') && login.get('password').touched">
           password is required
          </div>
    
          <div class="error" *ngIf="login.get('password').hasError('password') && login.get('password').touched">
            Please enter valid password
          </div>
    
        
      <ion-button color="warning" expand="block" type="submit" class="signin" [disabled]="login.invalid">CONTINUE</ion-button>
      <p class="forgot">FORGOT PASSWORD?</p>
      </form>
    </ion-content>

